Summary:	LibASS - SSA/ASS subtitles rendering library
Summary(pl.UTF-8):	LibASS - biblioteka renderująca napisy SSA/ASS
Name:		libass
Version:	0.16.0
Release:	1
License:	MIT-like
Group:		Libraries
#Source0Download: https://github.com/libass/libass/releases
Source0:	https://github.com/libass/libass/releases/download/%{version}/%{name}-%{version}.tar.xz
# Source0-md5:	a2427d53de938d9b3ea74a84e3749322
URL:		https://github.com/libass/libass/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	fontconfig-devel >= 1:2.10.92
BuildRequires:	fribidi-devel >= 0.19.1
# pkgconfig(freetype2) >= 9.17.3
BuildRequires:	freetype-devel >= 1:2.3.6
BuildRequires:	harfbuzz-devel >= 1.2.3
BuildRequires:	libtool >= 2:2
%ifarch %{ix86} %{x8664} x32
BuildRequires:	nasm
%endif
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	fontconfig-libs >= 1:2.10.92
Requires:	freetype >= 1:2.3.6
Requires:	fribidi >= 0.19.1
Requires:	harfbuzz >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibASS is a portable subtitle renderer for the ASS/SSA (Advanced
Substation Alpha/Substation Alpha) subtitle format. It is mostly
compatible with VSFilter.

%description -l pl.UTF-8
LibASS to przenośna biblioteka renderująca napisy w formacie ASS/SSA
(Advanced Substation Alpha/Substation Alpha). Jest w większości
kompatybilna z VSFiltrem.

%package devel
Summary:	Header files for LibASS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LibASS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel >= 1:2.10.92
Requires:	freetype-devel >= 1:2.3.6
Requires:	fribidi-devel >= 0.19.1
Requires:	harfbuzz-devel >= 1.2.3

%description devel
This package contains the header files for developing applications
that use LibASS library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bibliotekę LibASS.

%package static
Summary:	Static LibASS library
Summary(pl.UTF-8):	Statyczna biblioteka LibASS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LibASS library.

%description static -l pl.UTF-8
Statyczna biblioteka LibASS.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libass.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING Changelog
%attr(755,root,root) %{_libdir}/libass.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libass.so.9

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libass.so
%{_includedir}/ass
%{_pkgconfigdir}/libass.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libass.a
%changelog
* Mon May 16 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libass.git;a=log;h=master

* Sat May 14 2022 Jan Palus <atler@pld-linux.org> 2485a14
- up to 0.16.0

* Wed Sep 15 2021 Jan Palus <atler@pld-linux.org> 3d1467c
- up to 0.15.2

* Mon May 24 2021 Jan Palus <atler@pld-linux.org> 801bd79
- up to 0.15.1

* Wed Oct 28 2020 Jan Palus <atler@pld-linux.org> 02cde84
- up to 0.15.0

* Mon Dec 18 2017 Jakub Bogusz <qboosh@pld-linux.org> 4a21644
- updated to 0.14.0
- now it uses nasm instead of yasm

* Thu Jul 13 2017 Jakub Bogusz <qboosh@pld-linux.org> 9f102d7
- updated to 0.13.7

* Wed May 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 66aba02
- updated to 0.13.6 (note: new soname)

* Wed Mar 02 2016 Jakub Bogusz <qboosh@pld-linux.org> dffed1e
- updated to 0.13.2

* Sun Jan 31 2016 Jakub Bogusz <qboosh@pld-linux.org> 6d229e9
- updated to 0.13.1

* Mon May 04 2015 Jakub Bogusz <qboosh@pld-linux.org> cfe7bfd
- ac,lt versions
- drop libass.la

* Sun Apr 26 2015 Jan Palus <atler@pld-linux.org> 2da258e
- BR: yasm >= 1.3.0 for x32 support

* Sun Apr 26 2015 Jan Rękorajski <baggins@pld-linux.org> 84ce087
- make yasm generate proper object format on x32 and enable asm
- rel 3

* Sat Apr 25 2015 Jan Palus <atler@pld-linux.org> 66fb01d
- rel 2

* Sat Apr 25 2015 Jan Palus <atler@pld-linux.org> c42901f
- try to disable asm on x32

* Sat Apr 25 2015 Jan Palus <atler@pld-linux.org> 5e58a9c
- up to 0.12.1

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> b0c612b
- release 2 (by relup.sh)

* Sat Sep 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 86f8899
- freetype version from configure

* Thu Oct 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 3ad6223
- updated to 0.10.2

* Sat Oct 20 2012 Jakub Bogusz <qboosh@pld-linux.org> f8fdb21
- updated to 0.10.1; harfbuzz enabled now

* Fri Sep 30 2011 Jakub Bogusz <qboosh@pld-linux.org> 012f0c5
- updated to 0.10.0
- since 0.9.13 License is very permissive ISC/MIT-like
- now it can use fribidi and (not released yet version of) harfbuzz

